%define name xmms-musepack
%define version 1.2
%define filename %name-%version
%define rel 2
%define release %mkrel %rel
%define inst_dir %_libdir/xmms/
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}


Summary: XMMS plugin which plays musepack encoded audio files
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: Sound
Source: http://musepack.origean.net/files/linux/plugins/%{filename}.tar.bz2
Url: http://www.musepack.net/
Buildroot: %{_tmppath}/%{name}-buildroot
BuildRequires: xmms-devel >= 1.2.10
BuildRequires: libmpcdec-devel
BuildRequires: taglib-devel

%description
This plugin for XMMS can play audio files which are encoded with Andree
Buschmann's encoder Musepack. These files have the filename postfixes mpc,
mp+ or mpp.

%prep
%setup -q -n %filename

%build
%configure
%make

%install
%makeinstall_std
rm -f %buildroot%inst_dir/Input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc ChangeLog 
%defattr(0755,root,root,0755)
%inst_dir/Input/*.so

%changelog
* Fri Sep 16 2005 Götz Waschk <waschk@mandriva.org> 1.2-2mdk
- fix buildrequires

* Mon Sep 12 2005 Götz Waschk <waschk@mandriva.org> 1.2-1mdk
- new version

* Fri Sep  2 2005 Götz Waschk <waschk@mandriva.org> 1.2-0.RC1.2mdk
- move to mandriva

* Thu May 26 2005 Götz Waschk <goetz@zarb.org> 1.2-0.RC1.1plf
- switch to the new xmms-musepack plugin

* Tue Mar 29 2005 Olivier Thauvin <nanardon@zarb.org> 1.1.2-1plf
- 1.1.2
- mkrel

* Fri Jun 25 2004 Pascal Terjan <pterjan@linuxfr.org> 1.00-1plf
- 1.00

* Sat Apr 26 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.94-1plf
- s/Copyright/License/
- add BuildRequires

* Sun Jun 09 2002 Thomas Juerges <thomas.juerges@astro.ruhr-uni-bochum.de> 0.94-1mdk
- Changed completely to Frank Klemm's source code. Sorry, I
    didn't have enough time for continuing development.

* Sun Aug 05 2001 Thomas Juerges <thomas.juerges@astro.ruhr-uni-bochum.de> 1.8.0-1mdk
- Upgraded to 1.8.0
- See ChangeLog
